<div>
    <h2>
        Product Details
    </h2>

    <div *ngIf="product | async as prod">
        <h3> {{ prod.name}} </h3>
        <p> {{ prod.description }}</p>
        <h4> Price: {{ prod.price | currency:'EUR'}}</h4>
        <p> Created on: {{ prod.timestamp | date }}</p>
    </div>
</div>
